# Carmen Castillo Imóveis System

Current dev dependency list:

```json
"dependencies": {
    "mws-core": "file:../mws-core/",
    "mws-server": "file:../mws-server/",
    "mws-cpanel": "file:../mws-cpanel/",
    "mws-carmen-castillo-landing-page": "file:../mws-carmen-castillo-landing-page/"
  },
```
## Custom registry

To have dependencies from different registries referred in same package.json, npm recommends to use scope

Scoped packages will look like

```json
"dependencies": {
  "@kairoscope/mypackage": "^1.3.0"
}
```

You can associate a scope with a registry using npm config:

```bash
npm config set @kairoscope:registry https://registry.kairoscope.net
````

Once a scope is associated with a registry, any npm install for a package with that scope will request packages from that registry instead of default registry https://registry.npmjs.org

Old dependecy list:

```json
  "dependencies": {
    "mws-core": "file:../mws-core/",
    "mws-server": "file:../mws-server/",
    "mws-cpanel": "file:../mws-cpanel/",
    "mws-start-page": "file:../mws-start-page/",
    "mws-example-module": "file:../mws-example-module/",
    "mws-theme-simple": "file:../mws-theme-simple/"
  }
```